import { EventEmitter } from "../../../stencil-public-runtime";
import { States } from "../../../utils/utils";
export declare class SwOptionsMenu {
  optionsInputUpdate: string[];
  optionInputCreate: string[];
  menuIsOpen: boolean;
  menuOpened: boolean;
  context_menu_header: string;
  changeStatusEmitter: EventEmitter<string>;
  status: States;
  state: States;
  element: any;
  cordX: number;
  cordY: number;
  switchMenuIsOpen(newValue: boolean): void;
  handleClick(ev: any): void;
  handleScroll(): void;
  componentShouldUpdate(): void;
  onRowClicked(str: string): void;
  showCoords(event: any): void;
  render(): any;
}
